/***********************************************************************************************************************
 * File Name    : board_cfg.h
 * Description  : Board specific/configuration data.
 **********************************************************************************************************************/
/***********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
 * SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2020 Renesas Electronics Corporation. All rights reserved.
 ***********************************************************************************************************************/

#include "hal_data.h"

#define LED_OFF                                   (BSP_IO_LEVEL_HIGH)
#define LED_ON                                    (BSP_IO_LEVEL_LOW)

#define GREEN_D5                                  (BSP_IO_PORT_01_PIN_06)
#define GREEN_D6                                  (BSP_IO_PORT_01_PIN_07)
#define RED_D7                                    (BSP_IO_PORT_01_PIN_11)

#define TURN_D5_ON                                R_IOPORT_PinWrite(&g_ioport_ctrl, GREEN_D5, LED_ON);
#define TURN_D5_OFF                               R_IOPORT_PinWrite(&g_ioport_ctrl, GREEN_D5, LED_OFF);

#define TURN_D6_ON                                R_IOPORT_PinWrite(&g_ioport_ctrl, GREEN_D6, LED_ON);
#define TURN_D6_OFF                               R_IOPORT_PinWrite(&g_ioport_ctrl, GREEN_D6, LED_OFF);

#define TURN_D7_ON                                R_IOPORT_PinWrite(&g_ioport_ctrl, RED_D7, LED_ON);
#define TURN_D7_OFF                               R_IOPORT_PinWrite(&g_ioport_ctrl, RED_D7, LED_OFF);


